Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet._1_0.carenet.types
Class SinglePalliativeCareRequest

    java.lang.Object
      be.cin.mycarenet._1_0.carenet.types.SinglePalliativeCareRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:02:09+01:00",
               comments="JAXB RI v2.2.11")
    public class SinglePalliativeCareRequest

extends Object
implements Serializable

Java class for SinglePalliativeCareRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SinglePalliativeCareRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CareReceiverId" type="{urn:be:cin:mycarenet:1.0:carenet:types}ExtCareReceiverStrictIdType"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}PalliativeCareDetail"/>
           </sequence>
           <attGroup ref="{urn:be:cin:mycarenet:1.0:carenet:types}MessageHeader"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SinglePalliativeCareRequest()`

Method Summary
`ExtCareReceiverStrictIdType` | `getCareReceiverId()` Gets the value of the careReceiverId property.
`MessageNameType` | `getMessageName()` Gets the value of the messageName property.
`PalliativeCareDetail` | `getPalliativeCareDetail()` Gets the value of the palliativeCareDetail property.
`String` | `getReceiverReference()` Gets the value of the receiverReference property.
`String` | `getSenderReference()` Gets the value of the senderReference property.
`String` | `getVersion()` Gets the value of the version property.
`boolean` | `isDuplicate()` Gets the value of the duplicate property.
`boolean` | `isSynchronous()` Gets the value of the synchronous property.
`boolean` | `isTestFlag()` Gets the value of the testFlag property.
`void` | `setCareReceiverId(ExtCareReceiverStrictIdType value)` Sets the value of the careReceiverId property.
`void` | `setDuplicate(boolean value)` Sets the value of the duplicate property.
`void` | `setMessageName(MessageNameType value)` Sets the value of the messageName property.
`void` | `setPalliativeCareDetail(PalliativeCareDetail value)` Sets the value of the palliativeCareDetail property.
`void` | `setReceiverReference(String value)` Sets the value of the receiverReference property.
`void` | `setSenderReference(String value)` Sets the value of the senderReference property.
`void` | `setSynchronous(boolean value)` Sets the value of the synchronous property.
`void` | `setTestFlag(boolean value)` Sets the value of the testFlag property.
`void` | `setVersion(String value)` Sets the value of the version property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SinglePalliativeCareRequest

    public SinglePalliativeCareRequest()

Method Detail

### getCareReceiverId

    public ExtCareReceiverStrictIdType getCareReceiverId()

  Gets the value of the careReceiverId property.

  Returns:
    possible object is `ExtCareReceiverStrictIdType`

### setCareReceiverId

    public void setCareReceiverId(ExtCareReceiverStrictIdType value)

  Sets the value of the careReceiverId property.

  Parameters:
    `value` - allowed object is `ExtCareReceiverStrictIdType`

### getPalliativeCareDetail

    public PalliativeCareDetail getPalliativeCareDetail()

  Gets the value of the palliativeCareDetail property.

  Returns:
    possible object is `PalliativeCareDetail`

### setPalliativeCareDetail

    public void setPalliativeCareDetail(PalliativeCareDetail value)

  Sets the value of the palliativeCareDetail property.

  Parameters:
    `value` - allowed object is `PalliativeCareDetail`

### getMessageName

    public MessageNameType getMessageName()

  Gets the value of the messageName property.

  Returns:
    possible object is `MessageNameType`

### setMessageName

    public void setMessageName(MessageNameType value)

  Sets the value of the messageName property.

  Parameters:
    `value` - allowed object is `MessageNameType`

### getVersion

    public String getVersion()

  Gets the value of the version property.

  Returns:
    possible object is `String`

### setVersion

    public void setVersion(String value)

  Sets the value of the version property.

  Parameters:
    `value` - allowed object is `String`

### isDuplicate

    public boolean isDuplicate()

  Gets the value of the duplicate property.

### setDuplicate

    public void setDuplicate(boolean value)

  Sets the value of the duplicate property.

### isTestFlag

    public boolean isTestFlag()

  Gets the value of the testFlag property.

### setTestFlag

    public void setTestFlag(boolean value)

  Sets the value of the testFlag property.

### getSenderReference

    public String getSenderReference()

  Gets the value of the senderReference property.

  Returns:
    possible object is `String`

### setSenderReference

    public void setSenderReference(String value)

  Sets the value of the senderReference property.

  Parameters:
    `value` - allowed object is `String`

### getReceiverReference

    public String getReceiverReference()

  Gets the value of the receiverReference property.

  Returns:
    possible object is `String`

### setReceiverReference

    public void setReceiverReference(String value)

  Sets the value of the receiverReference property.

  Parameters:
    `value` - allowed object is `String`

### isSynchronous

    public boolean isSynchronous()

  Gets the value of the synchronous property.

### setSynchronous

    public void setSynchronous(boolean value)

  Sets the value of the synchronous property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.